<?php
namespace app\index\controller;
use think\Controller;
use think\Db;
class LineEia extends Controller
{
    public function index()
    {
        if (empty($_GET['id'])) die('无效的编号');
        $id = $_GET['id'];
        $edate=date("Y-m-d");
        $sdate=date('Y-m-d',strtotime("$edate -1 month"));
       if (!empty($_GET['stime'])) {
            $sdate=$_GET['stime'];
        }
        if (!empty($_GET['etime'])) {
            $edate=substr($_GET['etime'],0,10);
        }
        //var_dump($id);e
        $this->assign('id',$id);
        $this->assign('edate',$edate);
        $this->assign('sdate',$sdate);
        return $this->fetch('line_eia');
    }
    public function getjson()
    {
        $edate=date("Y-m-d");
        $sdate=date('Y-m-d',strtotime("$edate -1 month"));
        if (empty($_GET['sid'])) return;
        $sid = $_GET['sid'];
        if (!empty($_GET['stime'])) {
            $sdate=date('Y-m-d',strtotime($_GET['stime']));
        }
        if (!empty($_GET['etime'])) {
            $edate=date('Y-m-d',strtotime($_GET['etime']));
            $edate=date('Y-m-d',strtotime("$edate 1 day"));
        }
        $b = Db::query("select d_time,d_pt_1,d_pt_2,d_pt_3,d_ct_1,d_ct_2,d_ct_3,d_pf_1,d_pf_2,d_pf_3,d_jx_1,d_jx_2,d_jx_3 from data_eia_h where EQMID='{$sid}' and d_time >'{$sdate}' and d_time<'{$edate}'");
		foreach($b as $k=>$v){
			foreach($v as $k1=>$v1 ){
			    if($k1 != 'd_time'){
				$b[$k][$k1] = floatval($v1);			
			}
		    } 
		
		}
        $data = json_encode($b);
        echo $data;
    }
}
